SchemeInfo
Keywords: uk.ac.bbk.dcs.automed.qproc.iql.SchemeInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc.iql
Class SchemeInfo

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.iql.SchemeInfo

All Implemented Interfaces:
  java.io.Serializable

    public class SchemeInfo

extends java.lang.Object
implements java.io.Serializable

Every Cell with tag scheme has a SchemeInfo object in its data field. This object contains the string value of the scheme, along with a reference to the schema to which the scheme belongs.

See Also:
  Serialized Form

Constructor Summary
`SchemeInfo(SchemaObject so)`
`SchemeInfo(java.lang.String scheme)`
`SchemeInfo(java.lang.String schemaname, java.lang.String scheme)`
`SchemeInfo(java.lang.String peerName, java.lang.String schemaName, java.lang.String modelName, java.lang.String consType, java.lang.String schemeString, java.lang.String type)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getConstructType()`
`java.lang.String` | `getModelName()`
`java.lang.String` | `getPeerName()`
`java.lang.String` | `getSchemaName()`
`int` | `getSchemaObjectID()`
`java.lang.String` | `getScheme()` Deprecated. use `#getSchemeString(boolean)` instead
`java.lang.String[]` | `getSchemeItems()`
`java.lang.String` | `getSchemeNamesString(boolean full)`
`java.lang.String` | `getSchemeNamesStringWithOBID()` WARNING: returns the String representation of a SchemeInfo object with a ':'<OBID> suffix - this does NOT adhere to the scheme syntax.
`java.lang.String` | `getType()`
`void` | `setConstructName(java.lang.String construct)`
`void` | `setModelName(java.lang.String model)`
`void` | `setPeerName(java.lang.String peerName)`
`void` | `setSchemaName(java.lang.String schemaString)`
`void` | `setSchemaObject(SchemaObject so)`
`void` | `setSchemaObjectID(int soid)`
`void` | `setSchemeString(java.lang.String s)`
`void` | `setType(java.lang.String type)`
`java.lang.String` | `toString()` Deprecated. use `#getSchemeString(boolean)` instead

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SchemeInfo

    public SchemeInfo(java.lang.String peerName,
                      java.lang.String schemaName,
                      java.lang.String modelName,
                      java.lang.String consType,
                      java.lang.String schemeString,
                      java.lang.String type)

Parameters:
  `peerName` - the name of the peer
  `schemaName` - the name of the scheme
  `modelName` - the name of the model
  `consType` - the construct type
  `schemeString` - the label of the scheme, e.g. <<A>>
  `type` - the type of the scheme

### SchemeInfo

    public SchemeInfo(java.lang.String scheme)

### SchemeInfo

    public SchemeInfo(java.lang.String schemaname,
                      java.lang.String scheme)

### SchemeInfo

    public SchemeInfo(SchemaObject so)

Method Detail

### getPeerName

    public java.lang.String getPeerName()

  Returns:
    the peer name of this SchemeInfo object

### getSchemaName

    public java.lang.String getSchemaName()

  Returns:
    the schema name of this SchemeInfo object

### getModelName

    public java.lang.String getModelName()

  Returns:
    the model name of this SchemeInfo object

### getConstructType

    public java.lang.String getConstructType()

  Returns:
    the construct type of this SchemeInfo object

### getSchemeNamesString

    public java.lang.String getSchemeNamesString(boolean full)

  Parameters:
    `full` - determines whether to return the full scheme string, i.e. of the form :P:S:M:C:<<...>>:T, or only the scheme, i.e. <<..>>
  Returns:
    the full scheme string if input parameter is true, only the scheme string if input parameter is false

### getSchemeNamesStringWithOBID

    public java.lang.String getSchemeNamesStringWithOBID()

  WARNING: returns the String representation of a SchemeInfo object with a ':'<OBID> suffix - this does NOT adhere to the scheme syntax. It should therefore be used only for printing purposes while debugging.

### getType

    public java.lang.String getType()

  Returns:
    the type of this SchemeInfo object

### getSchemaObjectID

    public int getSchemaObjectID()

### getSchemeItems

    public java.lang.String[] getSchemeItems()

  Returns:
    a String[] object containing the String components of the scheme; e.g. for scheme <> this method would return an a String[] object containing items A, B and C

### setPeerName

    public void setPeerName(java.lang.String peerName)

### setSchemaName

    public void setSchemaName(java.lang.String schemaString)

### setModelName

    public void setModelName(java.lang.String model)

### setConstructName

    public void setConstructName(java.lang.String construct)

### setType

    public void setType(java.lang.String type)

### setSchemeString

    public void setSchemeString(java.lang.String s)

### setSchemaObjectID

    public void setSchemaObjectID(int soid)

### setSchemaObject

    public void setSchemaObject(SchemaObject so)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if obj is a `SchemeInfo` object, and obj together with this object have the same peer name, schema name, construct type, schemestring and type

### toString

    public java.lang.String toString()

  Deprecated. use `#getSchemeString(boolean)` instead

  Overrides:
    `toString` in class `java.lang.Object`

### getScheme

    public java.lang.String getScheme()

  Deprecated. use `#getSchemeString(boolean)` instead

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD